Upstream information

CVE-2016-4994 at MITRE

Description

Use-after-free vulnerability in the xcf_load_image function in app/xcf/xcf-load.c in GIMP allows remote attackers to cause a denial of service (program crash) or possibly execute arbitrary code via a crafted XCF file.

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6.82 5.10
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P AV:N/AC:H/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium High
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.8
Vector AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Local
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entry: 986021 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • gimp >= 2.8.10-7.8
  • gimp-lang >= 2.8.10-7.8
  • gimp-plugins-python >= 2.8.10-7.8
  • libgimp-2_0-0 >= 2.8.10-7.8
  • libgimpui-2_0-0 >= 2.8.10-7.8
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-1156
SUSE Linux Enterprise Desktop 12 SP2
  • gimp >= 2.8.18-4.7
  • gimp-lang >= 2.8.18-4.7
  • gimp-plugins-python >= 2.8.18-4.7
  • libgimp-2_0-0 >= 2.8.18-4.7
  • libgimpui-2_0-0 >= 2.8.18-4.7
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA gimp
SUSE Linux Enterprise Software Development Kit 11 SP4
  • gimp >= 2.6.2-3.34.47.1
  • gimp-devel >= 2.6.2-3.34.47.1
  • gimp-lang >= 2.6.2-3.34.47.1
  • gimp-plugins-python >= 2.6.2-3.34.47.1
Patchnames:
sdksp4-gimp-12657
SUSE Linux Enterprise Software Development Kit 12 SP1
  • gimp >= 2.8.10-7.8
  • gimp-devel >= 2.8.10-7.8
  • libgimp-2_0-0 >= 2.8.10-7.8
  • libgimpui-2_0-0 >= 2.8.10-7.8
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-1156
SUSE Linux Enterprise Software Development Kit 12 SP2
  • gimp-devel >= 2.8.18-4.7
  • libgimp-2_0-0 >= 2.8.18-4.7
  • libgimpui-2_0-0 >= 2.8.18-4.7
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA gimp-devel
SUSE Linux Enterprise Workstation Extension 12 SP1
  • gimp >= 2.8.10-7.8
  • gimp-lang >= 2.8.10-7.8
  • gimp-plugins-python >= 2.8.10-7.8
  • libgimp-2_0-0 >= 2.8.10-7.8
  • libgimpui-2_0-0 >= 2.8.10-7.8
Patchnames:
SUSE-SLE-WE-12-SP1-2016-1156
SUSE Linux Enterprise Workstation Extension 12 SP2
  • gimp >= 2.8.18-4.7
  • gimp-lang >= 2.8.18-4.7
  • gimp-plugins-python >= 2.8.18-4.7
  • libgimp-2_0-0 >= 2.8.18-4.7
  • libgimpui-2_0-0 >= 2.8.18-4.7
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA gimp
openSUSE 13.2
  • gimp >= 2.8.16-3.1
  • gimp-debuginfo >= 2.8.16-3.1
  • gimp-debugsource >= 2.8.16-3.1
  • gimp-devel >= 2.8.16-3.1
  • gimp-devel-debuginfo >= 2.8.16-3.1
  • gimp-help-browser >= 2.8.16-3.1
  • gimp-help-browser-debuginfo >= 2.8.16-3.1
  • gimp-lang >= 2.8.16-3.1
  • gimp-plugin-aa >= 2.8.16-3.1
  • gimp-plugin-aa-debuginfo >= 2.8.16-3.1
  • gimp-plugins-python >= 2.8.16-3.1
  • gimp-plugins-python-debuginfo >= 2.8.16-3.1
  • libgimp-2_0-0 >= 2.8.16-3.1
  • libgimp-2_0-0-32bit >= 2.8.16-3.1
  • libgimp-2_0-0-debuginfo >= 2.8.16-3.1
  • libgimp-2_0-0-debuginfo-32bit >= 2.8.16-3.1
  • libgimpui-2_0-0 >= 2.8.16-3.1
  • libgimpui-2_0-0-32bit >= 2.8.16-3.1
  • libgimpui-2_0-0-debuginfo >= 2.8.16-3.1
  • libgimpui-2_0-0-debuginfo-32bit >= 2.8.16-3.1
Patchnames:
openSUSE-2016-822
openSUSE Leap 42.1
  • gimp >= 2.8.16-4.1
  • gimp-debuginfo >= 2.8.16-4.1
  • gimp-debugsource >= 2.8.16-4.1
  • gimp-devel >= 2.8.16-4.1
  • gimp-devel-debuginfo >= 2.8.16-4.1
  • gimp-help-browser >= 2.8.16-4.1
  • gimp-help-browser-debuginfo >= 2.8.16-4.1
  • gimp-lang >= 2.8.16-4.1
  • gimp-plugin-aa >= 2.8.16-4.1
  • gimp-plugin-aa-debuginfo >= 2.8.16-4.1
  • gimp-plugins-python >= 2.8.16-4.1
  • gimp-plugins-python-debuginfo >= 2.8.16-4.1
  • libgimp-2_0-0 >= 2.8.16-4.1
  • libgimp-2_0-0-32bit >= 2.8.16-4.1
  • libgimp-2_0-0-debuginfo >= 2.8.16-4.1
  • libgimp-2_0-0-debuginfo-32bit >= 2.8.16-4.1
  • libgimpui-2_0-0 >= 2.8.16-4.1
  • libgimpui-2_0-0-32bit >= 2.8.16-4.1
  • libgimpui-2_0-0-debuginfo >= 2.8.16-4.1
  • libgimpui-2_0-0-debuginfo-32bit >= 2.8.16-4.1
Patchnames:
openSUSE-2016-822
openSUSE Leap 42.2
  • gimp >= 2.8.18-1.4
  • gimp-help-browser >= 2.8.18-1.4
  • gimp-lang >= 2.8.18-1.4
  • gimp-plugin-aa >= 2.8.18-1.4
  • gimp-plugins-python >= 2.8.18-1.4
  • libgimp-2_0-0 >= 2.8.18-1.4
  • libgimpui-2_0-0 >= 2.8.18-1.4
Patchnames:
openSUSE Leap 42.2 GA gimp
openSUSE Tumbleweed
  • gimp >= 2.8.18-1.4
  • gimp-devel >= 2.8.18-1.4
  • gimp-help-browser >= 2.8.18-1.4
  • gimp-lang >= 2.8.18-1.4
  • gimp-plugin-aa >= 2.8.18-1.4
  • gimp-plugins-python >= 2.8.18-1.4
  • libgimp-2_0-0 >= 2.8.18-1.4
  • libgimp-2_0-0-32bit >= 2.8.18-1.4
  • libgimpui-2_0-0 >= 2.8.18-1.4
  • libgimpui-2_0-0-32bit >= 2.8.18-1.4
Patchnames:
openSUSE Tumbleweed GA gimp